# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | List of all members
dirac::CodeBlocks Class Reference

Structure to hold code block sizes when spatial partitioning is used.

`#include <common.h>`

## Public Member Functions
| CodeBlocks ()
| Default Constructor. More...
| CodeBlocks (unsigned int hblocks, unsigned int vblocks)
| Constructor. More...
unsigned int | HorizontalCodeBlocks () const
| Return the number of horizontal code blocks. More...
unsigned int | VerticalCodeBlocks () const
| Return the number of vertical code blocks. More...
void | SetHorizontalCodeBlocks (unsigned int hblocks)
| Set the number of horizontal code blocks. More...
void | SetVerticalCodeBlocks (unsigned int vblocks)
| Set the number of vertical code blocks. More...

## Private Attributes
unsigned int | m_hblocks
| Number of Horizontal code blocks. More...
unsigned int | m_vblocks
| Number of Vertical code blocks. More...

## Constructor & Destructor Documentation

## ◆ CodeBlocks() [1/2]

dirac::CodeBlocks::CodeBlocks | ( |  | ) |
| inline

## ◆ CodeBlocks() [2/2]

dirac::CodeBlocks::CodeBlocks | ( | unsigned int | hblocks,
|  | unsigned int | vblocks
| ) |  |
| inline

## Member Function Documentation

## ◆ HorizontalCodeBlocks()

unsigned int dirac::CodeBlocks::HorizontalCodeBlocks | ( |  | ) | const
| inline

References m_hblocks.

## ◆ SetHorizontalCodeBlocks()

void dirac::CodeBlocks::SetHorizontalCodeBlocks | ( | unsigned int | hblocks | ) |
| inline

References m_hblocks.

## ◆ SetVerticalCodeBlocks()

void dirac::CodeBlocks::SetVerticalCodeBlocks | ( | unsigned int | vblocks | ) |
| inline

References m_vblocks.

## ◆ VerticalCodeBlocks()

unsigned int dirac::CodeBlocks::VerticalCodeBlocks | ( |  | ) | const
| inline

References m_vblocks.

## Member Data Documentation

## ◆ m_hblocks

unsigned int dirac::CodeBlocks::m_hblocks
| private

Referenced by HorizontalCodeBlocks(), and SetHorizontalCodeBlocks().

## ◆ m_vblocks

unsigned int dirac::CodeBlocks::m_vblocks
| private

Referenced by SetVerticalCodeBlocks(), and VerticalCodeBlocks().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.